/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontenteditticket
#define headerfilecmslucontenteditticket

#include "functionbase.h"



namespace Fun
{


class EditTicket : public FunctionBase
{
public:

	EditTicket();
	void Clear();
	bool HasAccess();
	void MakePost();
	void MakeGet();

private:

	void EditTicketCheckFirstItem();
	void EditTicketModTicket();
	void EditTicketModDir();
	void EditTicketModFirstItem();
	void PostFunEditTicketLogAndRedirect();
	bool FunCreateTicketCheckAbuse();

};


} // namespace

#endif
