/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentticket
#define headerfilecmslucontentticket

#include "functionbase.h"
#include "core/ticket.h"
#include "core/item.h"


namespace Fun
{


class FunTicket : public FunctionBase
{
public:

	FunTicket();
	bool HasAccess();
	void Clear();
	void MakeGet();
	void ReadTicket();

	// those object are used by editticket and createticket winix functions too
	Item item;
	bool is_ticket;
	Ticket ticket;
	std::vector<Ticket> ticket_tab;

private:

	void TicketDeleteFirst();
};


} // namespace

#endif
